Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.conversion
Class ConversionOptions.Builder

    java.lang.Object
      com.google.appengine.api.conversion.ConversionOptions.Builder

Enclosing class:
  ConversionOptions

    public static final class ConversionOptions.Builder

extends java.lang.Object

Provides static creation methods for `ConversionOptions`.

Method Summary
`static ConversionOptions` | `withDefaults()` Returns a `ConversionOptions` with default values.
`static ConversionOptions` | `withFirstPage(int firstPage)` Returns a `ConversionOptions` with specified number of first page.
`static ConversionOptions` | `withImageWidth(int imageWidth)` Returns a `ConversionOptions` with specified output image width.
`static ConversionOptions` | `withLastPage(int lastPage)` Returns a `ConversionOptions` with specified number of last page.
`static ConversionOptions` | `withOcrInputLanguage(java.lang.String ocrInputLanguage)` Returns a `ConversionOptions` with specified language code for OCR.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### withDefaults

    public static ConversionOptions withDefaults()

  Returns a `ConversionOptions` with default values.

### withImageWidth

    public static ConversionOptions withImageWidth(int imageWidth)

  Returns a `ConversionOptions` with specified output image width.

### withFirstPage

    public static ConversionOptions withFirstPage(int firstPage)

  Returns a `ConversionOptions` with specified number of first page.

### withLastPage

    public static ConversionOptions withLastPage(int lastPage)

  Returns a `ConversionOptions` with specified number of last page.

### withOcrInputLanguage

    public static ConversionOptions withOcrInputLanguage(java.lang.String ocrInputLanguage)

  Returns a `ConversionOptions` with specified language code for OCR.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD